﻿using Infragistics.Win;
using Infragistics.Win.UltraWinGrid;
using System.Drawing;

namespace WinGridCardViewOneRow
{

    public class DrawFilter : IUIElementDrawFilter
    {
        public const string CustomRowCaption = "3";

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            RowUIElement rowUIElement = drawParams.Element.GetAncestor(typeof(RowUIElement)) as RowUIElement ;
            if (rowUIElement != null && rowUIElement.Row.Cells[0].Text == CustomRowCaption)
            {
                drawParams.AppearanceData.BackColor = Color.Red;
            }

            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is CardCaptionUIElement)
            {
                return DrawPhase.BeforeDrawBackColor;
            }

            return DrawPhase.None;
        }
    }
}
